Subject: bug#10478: 24.0.50; url-http-parse-headers can silently drop the response when handling BASIC AUTHENTICATION

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Sep 2019 10:15:26 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Jerry Asher <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Tue, 24 Sep 2019 08:55:10 +0200
> 
> (pop-to-buffer (url-retrieve-synchronously "https://jigsaw.w3.org/HTTP/Basic/"))
> 
> the user name/password is guest/guest.  I'm prompted for that, and the
> buffer I'm popped to is the "your browser made it" buffer, so it seems
> to work for me?
> 
> Does it work for you, too?

Seems to work.  I end up in a buffer named " *http jigsaw.w3.org:443*-264606"
(the minus seems weird, perhaps an unrelated misfeature), whose
contents is the entire response from the server, starting with

  HTTP/1.1 200 OK
  date: Tue, 24 Sep 2019 07:11:23 GMT
  content-length: 458
  content-location: https://jigsaw.w3.org/HTTP/Basic/ok.html
  content-type: text/html
  etag: "1lkdfte:qoguo8q8"
  last-modified: Sun, 25 Jun 2000 17:08:58 GMT
  server: Jigsaw/2.3.0-beta3

and ending with this:

  <P>
  <HR>
  <P>Your browser made it!
    </body>
  </html>

Is this what you see?